## libkf5gravatar 16.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(gravatar)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(KF5_VERSION "5.19.0")
set(QT_REQUIRED_VERSION "5.4.0")
set(LIBGRAVATAR_LIB_VERSION "5.2.2")
set(PIMCOMMON_LIB_VERSION "5.2.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)


ecm_setup_version(${LIBGRAVATAR_LIB_VERSION} VARIABLE_PREFIX GRAVATAR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/gravatar_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfigVersion.cmake"
                        SOVERSION 5
)


########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Gravatar")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5GravatarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5GravatarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5GravatarTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/gravatar_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

install( FILES libgravatar.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
libkf5gravatar (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Jul 2016 08:57:14 +0200

libkf5gravatar (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Jun 2016 14:17:06 +0200

libkf5gravatar (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Update package descriptions
  * Add upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 04 Jun 2016 22:14:56 +0200

=== debian/control ===
Source: libkf5gravatar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev,
               libkf5akonadicontact-dev,
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev,
               libkf5i18n-dev (>= 5.19.0~),
               libkf5imap-dev,
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libgravatar.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libgravatar.git

Package: libkf5gravatar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM gravatar library
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5gravatar5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         libkf5config-dev (>= 5.19.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM gravatar library, devel files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains the development files needed to build against the
 library.
 .
 This package is part of the KDE PIM module.

## libkf5gravatar 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 set(KF5_VERSION "5.19.0")
 set(QT_REQUIRED_VERSION "5.4.0")
-set(LIBGRAVATAR_LIB_VERSION "5.2.2")
+set(LIBGRAVATAR_LIB_VERSION "5.2.3")
 set(PIMCOMMON_LIB_VERSION "5.2.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network)
 find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
libkf5gravatar (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Synced with Debian for initial packaging
  * Updated VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:04 +0200

=== debian/control ===
Source: libkf5gravatar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicontact-dev (>= 4:16.04.3~),
               libkf5config-dev (>= 5.24.0~),
               libkf5contacts-dev (>= 4:16.04.3~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5imap-dev (>= 16.04.3~),
               libkf5pimcommon-dev (>= 4:16.04.3~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar

Package: libkf5gravatar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM gravatar library
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.19.0~),
         libkf5gravatar5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM gravatar library, devel files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains the development files needed to build against the
 library.
 .
 This package is part of the KDE PIM module.

## libkf5gravatar 17.04.3

=== debian/changelog ===
libkf5gravatar (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add libkf5gravatar-data installing the translations
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:21 +0100

libkf5gravatar (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:54 +0100

=== debian/control ===
Source: libkf5gravatar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5imap-dev (>= 17.04.3~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar

Package: libkf5gravatar5
Architecture: any
Multi-Arch: same
Depends: libkf5gravatar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM gravatar library
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM gravatar library - data files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.31.0~),
         libkf5gravatar5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM gravatar library, devel files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains the development files needed to build against the
 library.
 .
 This package is part of the KDE PIM module.

## libkf5gravatar 17.12.3

=== autotests/CMakeLists.txt ===
macro(add_gravatar_unittest _source)
    ecm_add_test(${_source}
        NAME_PREFIX "gravatar-"
        LINK_LIBRARIES KF5::PimCommon Qt5::Test KF5::Gravatar KF5::TextWidgets 
    )
endmacro ()

add_gravatar_unittest( gravatarcachetest.cpp )
add_gravatar_unittest( gravatarconfiguresettingsdialogtest.cpp )
add_gravatar_unittest( gravatarconfigwidgettest.cpp )
add_gravatar_unittest( gravatardownloadpixmapdialogtest.cpp )
add_gravatar_unittest( gravatardownloadpixmapwidgettest.cpp )
add_gravatar_unittest( gravatarresolvurljobtest.cpp )

=== src/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"libgravatar\")


set(gravatarlib_SRCS
    misc/gravatarcache.cpp
    misc/hash.cpp
    widgets/gravatardownloadpixmapwidget.cpp
    widgets/gravatardownloadpixmapdialog.cpp
    widgets/gravatarconfigwidget.cpp
    widgets/gravatarconfiguresettingsdialog.cpp
    job/gravatarresolvurljob.cpp
)

ecm_qt_declare_logging_category(gravatarlib_SRCS HEADER gravatar_debug.h IDENTIFIER GRAVATAR_LOG CATEGORY_NAME org.kde.pim.gravatar)

kconfig_add_kcfg_files(gravatarlib_SRCS
    settings/gravatarsettings.kcfgc
)

add_library( KF5Gravatar ${gravatarlib_SRCS} )
generate_export_header(KF5Gravatar BASE_NAME gravatar)
add_library(KF5::Gravatar ALIAS KF5Gravatar)
target_link_libraries(KF5Gravatar
  PRIVATE
    KF5::ConfigCore
    KF5::I18n
    KF5::WidgetsAddons
    KF5::ConfigGui
    KF5::PimCommon
    KF5::TextWidgets
)
target_include_directories(KF5Gravatar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Gravatar/;${KDE_INSTALL_INCLUDEDIR_KF5}/gravatar>")

target_include_directories(KF5Gravatar PUBLIC "$<BUILD_INTERFACE:${gravatar_SOURCE_DIR}/src;${gravatar_BINARY_DIR}/src>")


set_target_properties(KF5Gravatar PROPERTIES
    VERSION ${GRAVATAR_VERSION_STRING}
    SOVERSION ${GRAVATAR_SOVERSION}
    EXPORT_NAME Gravatar
)

install(TARGETS
    KF5Gravatar
    EXPORT KF5GravatarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(Gravatar_Camelcase_job_HEADERS
  HEADER_NAMES
  GravatarResolvUrlJob
  REQUIRED_HEADERS Gravatar_job_HEADERS
  PREFIX Gravatar
  RELATIVE job
)

ecm_generate_headers(Gravatar_Camelcase_misc_HEADERS
  HEADER_NAMES
  GravatarCache
  REQUIRED_HEADERS Gravatar_misc_HEADERS
  PREFIX Gravatar
  RELATIVE misc
)

ecm_generate_headers(Gravatar_Camelcase_widgets_HEADERS
  HEADER_NAMES
  GravatarConfigureSettingsDialog
  GravatarConfigWidget
  GravatarDownloadPixmapWidget
  REQUIRED_HEADERS Gravatar_widgets_HEADERS
  PREFIX Gravatar
  RELATIVE widgets
)


ecm_generate_pri_file(BASE_NAME Gravatar
    LIB_NAME KF5Gravatar
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/Gravatar
)

install(FILES
    ${Gravatar_Camelcase_widgets_HEADERS}
    ${Gravatar_Camelcase_job_HEADERS}
    ${Gravatar_Camelcase_misc_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Gravatar
    COMPONENT Devel
)

install(FILES
    ${Gravatar_widgets_HEADERS}
    ${Gravatar_job_HEADERS}
    ${Gravatar_misc_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/gravatar_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/gravatarsettings.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/gravatar
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
libkf5gravatar (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:18 +0000

libkf5gravatar (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:39 +0000

libkf5gravatar (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 17.04.3~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
+               libkf5imap-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libgravatar-([\d.]+).tar.xz

## libkf5gravatar 18.04.3

=== debian/changelog ===
libkf5gravatar (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 17.12.3~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5imap-dev (>= 18.04.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
@@ -54,7 +54,7 @@
          libkf5gravatar5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM gravatar library, devel files
  This internal library is a brigde for using the gravatar service from KDE PIM
  applications.

## libkf5gravatar 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(gravatar VERSION ${PIM_VERSION})

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)


set(QT_REQUIRED_VERSION "5.9.0")
set(LIBGRAVATAR_LIB_VERSION ${PIM_VERSION})
set(PIMCOMMON_LIB_VERSION "5.9.3")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX GRAVATAR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/gravatar_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfigVersion.cmake"
    SOVERSION 5
    )


########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Gravatar")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5GravatarConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5GravatarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5GravatarTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gravatar_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

install( FILES libgravatar.renamecategories libgravatar.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5gravatar (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:01:57 +0100

libkf5gravatar (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:20:04 +0200

libkf5gravatar (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Bump Debian-ABI for libkf5gravatar5 because of ABI breakage to 2.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 12:14:49 +0200

libkf5gravatar (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:16 +0200

libkf5gravatar (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Use DebianABIManager to handle libkf5gravatar propperly.
  * Update library from libkf5gravatar5 -> libkf5gravatar5abi1, because
    of ABI breakage.
  * Add package to hold shared data: libkf5gravatar-data.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:26 +0100

libkf5gravatar (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:59:18 +0100

libkf5gravatar (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:17:36 +0200

libkf5gravatar (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:40:00 +0000

libkf5gravatar (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:25 +0000

libkf5gravatar (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:57 +0000

libkf5gravatar (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:07 +0000

libkf5gravatar (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 10:12:27 +0000

libkf5gravatar (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:52 +0000

libkf5gravatar (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:30 +0000

libkf5gravatar (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:23:31 +0000

libkf5gravatar (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:58 +0000

libkf5gravatar (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:56 +0000

libkf5gravatar (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:05 +0000

libkf5gravatar (4:16.08.1-1~1.gbp1fe316) UNRELEASED; urgency=medium

  ** SNAPSHOT build @1fe316edd3fc3b264c58f0da295e4674991c819a **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @c63654323720e71f956e888970ca16cfca9dc4f0 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 08 Sep 2016 21:18:37 +0200

libkf5gravatar (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:11 +0000

libkf5gravatar (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:24 +0000

libkf5gravatar (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:28 +0000

## libkf5gravatar 18.08.3+rebuild

=== debian/changelog ===
libkf5gravatar (4:18.08.3+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 11:01:00 +0800

=== debian/control ===
Source: libkf5gravatar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5imap-dev (>= 17.08.3~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5pimcommon-dev (>= 4:18.08.3~),
               libkf5textwidgets-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libgravatar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libgravatar.git

Package: libkf5gravatar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5gravatar5, ${kde-l10n:all}
Replaces: libkf5gravatar5, ${kde-l10n:all}
Description: KDE PIM gravatar library - data files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains shared data files.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.47.0~),
         libkf5gravatar5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM gravatar library, devel files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains the development files needed to build against the
 library.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5Gravatar
Architecture: any
Multi-Arch: same
Depends: libkf5gravatar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-addons (<< 17.08),
        kmail (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
Description: KDE PIM gravatar library
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libgravatar-([\d.]+).tar.xz

## libkf5gravatar 18.12.3

=== debian/changelog ===
libkf5gravatar (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:10 +0100

libkf5gravatar (4:18.12.3-0ubuntu1) disco; urgency=medium

  * Bump soname with debianabimanager.
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:41 +0000

libkf5gravatar (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 20:20:46 +0000

=== debian/control ===
Source: libkf5gravatar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5imap-dev (>= 18.12.3~),
               libkf5pimcommon-dev (>= 4:18.12.3~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar

Package: libkf5gravatar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5Gravatar
Architecture: any
Multi-Arch: same
Depends: libkf5gravatar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM gravatar library
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM gravatar library - data files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5gravatar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.31.0~),
         libkf5gravatar5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM gravatar library, devel files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains the development files needed to build against the
 library.
 .
 This package is part of the KDE PIM module.

## libkf5gravatar 19.04.3

=== debian/changelog ===
libkf5gravatar (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 18.12.3~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
+               libkf5imap-dev (>= 19.04.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),

## libkf5gravatar 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(gravatar VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



set(QT_REQUIRED_VERSION "5.11.0")
set(LIBGRAVATAR_LIB_VERSION ${PIM_VERSION})
set(PIMCOMMON_LIB_VERSION "5.13.3")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX GRAVATAR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/gravatar_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfigVersion.cmake"
    SOVERSION 5
    )


########### Targets ###########


if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Gravatar")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5GravatarConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GravatarConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5GravatarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5GravatarTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gravatar_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

install(FILES libgravatar.renamecategories libgravatar.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5gravatar (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:36 +0100

libkf5gravatar (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.04.3~),
-               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadicontact-dev (>= 4:19.12.3~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 19.04.3~),
-               libkf5pimcommon-dev (>= 4:19.04.3~),
+               libkf5imap-dev (>= 19.12.3~),
+               libkf5pimcommon-dev (>= 4:19.12.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
@@ -21,20 +21,6 @@
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
-
-Package: libkf5gravatar5abi2
-X-Debian-ABI: 2
-X-CMake-Target: KF5Gravatar
-Architecture: any
-Multi-Arch: same
-Depends: libkf5gravatar-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: KDE PIM gravatar library
- This internal library is a brigde for using the gravatar service from KDE PIM
- applications.
- .
- This package is part of the KDE PIM module.
 
 Package: libkf5gravatar-data
 Architecture: all
@@ -65,3 +51,17 @@
  library.
  .
  This package is part of the KDE PIM module.
+
+Package: libkf5gravatar5abi2
+X-Debian-ABI: 2
+X-CMake-Target: KF5Gravatar
+Architecture: any
+Multi-Arch: same
+Depends: libkf5gravatar-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: KDE PIM gravatar library
+ This internal library is a brigde for using the gravatar service from KDE PIM
+ applications.
+ .
+ This package is part of the KDE PIM module.

## libkf5gravatar 20.08.1

=== debian/changelog ===
libkf5gravatar (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:00:42 +0100

libkf5gravatar (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Refresh patches.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
                libkf5config-dev (>= 5.31.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 19.12.3~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5imap-dev (>= 20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
